Package com.independentsoft.calc.functions

# Class ComplexNumber

java.lang.Object
com.independentsoft.calc.functions.ComplexNumber

public final class ComplexNumber extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double`
  `im`
  `double`
  `re`
  `char`
  `suffix`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexNumber​(double re, double im, char suffix)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `abs()`
  `static ComplexNumber`
  `add​(ComplexNumber a, ComplexNumber b)`
  `static ComplexNumber`
  `cos​(ComplexNumber a)`
  `static ComplexNumber`
  `cosh​(ComplexNumber a)`
  `static ComplexNumber`
  `exp​(ComplexNumber a)`
  `String`
  `format()`
  `static ComplexNumber`
  `mul​(ComplexNumber a, ComplexNumber b)`
  `static ComplexNumber`
  `sin​(ComplexNumber a)`
  `static ComplexNumber`
  `sinh​(ComplexNumber a)`
  `static ComplexNumber`
  `sub​(ComplexNumber a, ComplexNumber b)`
  `static boolean`
  `tryDiv​(ComplexNumber a, ComplexNumber b, Out<ComplexNumber> result)`
  `static boolean`
  `tryLn​(ComplexNumber a, Out<ComplexNumber> result)`
  `static boolean`
  `tryParse​(CalcValue v, Out<ComplexNumber> c)`
  `static boolean`
  `tryPower​(ComplexNumber a, double n, Out<ComplexNumber> result)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### re

    public final double re

  - ### im

    public final double im

  - ### suffix

    public final char suffix

- ## Constructor Details

  - ### ComplexNumber

    public ComplexNumber​(double re, double im, char suffix)

- ## Method Details

  - ### tryParse

    public static boolean tryParse​(CalcValue v, Out<ComplexNumber> c)

  - ### format

    public String format()

  - ### abs

    public double abs()

  - ### add

    public static ComplexNumber add​(ComplexNumber a, ComplexNumber b)

  - ### sub

    public static ComplexNumber sub​(ComplexNumber a, ComplexNumber b)

  - ### mul

    public static ComplexNumber mul​(ComplexNumber a, ComplexNumber b)

  - ### tryDiv

    public static boolean tryDiv​(ComplexNumber a, ComplexNumber b, Out<ComplexNumber> result)

  - ### exp

    public static ComplexNumber exp​(ComplexNumber a)

  - ### tryLn

    public static boolean tryLn​(ComplexNumber a, Out<ComplexNumber> result)

  - ### tryPower

    public static boolean tryPower​(ComplexNumber a, double n, Out<ComplexNumber> result)

  - ### sin

    public static ComplexNumber sin​(ComplexNumber a)

  - ### cos

    public static ComplexNumber cos​(ComplexNumber a)

  - ### sinh

    public static ComplexNumber sinh​(ComplexNumber a)

  - ### cosh

    public static ComplexNumber cosh​(ComplexNumber a)